Eclipse:Archive for required library … Cannot be Read or is Not a Valid ZIP file

Eclipseで以下のエラーが発生した。

Archive for required library ... Cannot be Read or is Not a Valid ZIP file

などというものが膨大に表示される。

Cannot be Read or is Not a Valid ZIP file – How to fix Maven Build Path Error with corrupted .jar fileに解決法があるのだが、こう言っている。

  • プロジェクトをClose/Openすればエラーが消えると言われた。。。効果がなかった
  • EclipseをExitして、サイドオープンすればエラーが消えると言われた。。。効果がなかった。
  • 自分の場合、生成ファイルを消して、Mavenプロジェクトの更新を行ったら消えた。

以上はMavenを使っている場合なのだが、Gradleを使っている場合も全く同じで、何をしても効果が無い。

最終的にエラーが除去された方法は、「gradle cleanEclipse eclipse」を行い、.classpathと.projectファイルを再生成させることである。

どうもこの部分がおかしくなっていたらしい。